LinuxQMISDK: GSMSysInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
GSMSysInfo Struct Reference

## Data Fields
sysInfoCommon | sysInfoGSM
BYTE | lacValid
WORD | lac
BYTE | cellIdValid
ULONG | cellId
BYTE | regRejectInfoValid
BYTE | rejectSrvDomain
BYTE | rejCause
BYTE | networkIdValid
BYTE | MCC [3]
BYTE | MNC [3]
BYTE | egprsSuppValid
BYTE | egprsSupp
BYTE | dtmSuppValid
BYTE | dtmSupp

## Detailed Description

Structure for storing the GSM System Information.

Parameters

  sysInfoGSM | See sysInfoCommon for more information.
  lacValid | Indicates whether the location area code is valid.. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  lac | Location area code. Only applies to 3GPP. 0xFFFF - Not Available
  cellIdValid | Indicates whether the cell ID is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  cellId | Cell ID. 0xFFFFFFFF - Not Available
  regRejectInfoValid | Indicates whether the registration reject information is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  rejectSrvDomain | Type of service domain in which the registration is rejected. 0x00 - SYS_SRV_DOMAIN_NO_SRV - No service 0x01 - Circuit-switched only 0x02 - Packet-switched only 0x03 - Circuit-switched and packet-switched 0x04 - Camped 0xFF - Not Available
  rejCause | Reject cause values sent are specified in [3GPP TS 24.008, Section 10.5.3.6]. 0xFF - Not Available
  networkIdValid | Indicates whether the network ID is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  MCC[PLMN_LENGTH] | Mobile Country Code. MCC digits in ASCII characters
  MNC[PLMN_LENGTH] | Mobile Network Code. MNC digits in ASCII characters An unused byte is set to 0xFF.
  egprsSuppValid | Indicates whether the EGPRS support is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  egprsSupp | EGPRS support indication. Only applicable for GSM. 0x00 - Not available 0x01 - Available 0xFF - Not Available
  dtmSuppValid | Indicates whether Dual Transfer mode support is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  dtmSupp | Dual Transfer mode support indication. Only applicable for GSM. 0x00 - Not available 0x01 - Available 0xFF - Not Available

## Field Documentation

ULONG GSMSysInfo::cellId

BYTE GSMSysInfo::cellIdValid

BYTE GSMSysInfo::dtmSupp

BYTE GSMSysInfo::dtmSuppValid

BYTE GSMSysInfo::egprsSupp

BYTE GSMSysInfo::egprsSuppValid

WORD GSMSysInfo::lac

BYTE GSMSysInfo::lacValid

BYTE GSMSysInfo::MCC[3]

BYTE GSMSysInfo::MNC[3]

BYTE GSMSysInfo::networkIdValid

BYTE GSMSysInfo::regRejectInfoValid

BYTE GSMSysInfo::rejCause

BYTE GSMSysInfo::rejectSrvDomain

sysInfoCommon GSMSysInfo::sysInfoGSM